import 'package:flutter/material.dart';

class DropDownItem extends StatefulWidget {
  Map<dynamic, String> itemList = {};
  bool isSelect = false;
  DropDownItem({this.itemList, this.isSelect});
  @override
  _DropDownItemState createState() => _DropDownItemState();
}

class _DropDownItemState extends State<DropDownItem> {
  @override
  Widget build(BuildContext context) {
    return Container(
      color: Theme.of(context).cardColor,
      padding: EdgeInsets.symmetric(vertical: 15),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          !widget.isSelect
              ? Text(widget.itemList['Name'],
                  style: Theme.of(context).textTheme.bodyText2)
              : Text(
                  widget.itemList['Name'],
                  style: TextStyle(color: Theme.of(context).primaryColor),
                ),
          Spacer(),
          !widget.isSelect
              ? Icon(
                  Icons.arrow_forward_ios,
                  size: 18,
                  color: Colors.grey,
                )
              : Icon(
                  Icons.check_circle,
                  color: Theme.of(context).primaryColor,
                ),
        ],
      ),
    );
  }
}
